package com.neusoft.smart.pos.strategy.persistent.mapper;

import com.neusoft.smart.pos.strategy.persistent.domain.BeanTypeDict;
import com.neusoft.smart.pos.strategy.persistent.domain.BeanTypeDictExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface BeanTypeDictMapper {
    int countByExample(BeanTypeDictExample example);

    int deleteByExample(BeanTypeDictExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(BeanTypeDict record);

    int insertSelective(BeanTypeDict record);

    List<BeanTypeDict> selectByExample(BeanTypeDictExample example);

    BeanTypeDict selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") BeanTypeDict record, @Param("example") BeanTypeDictExample example);

    int updateByExample(@Param("record") BeanTypeDict record, @Param("example") BeanTypeDictExample example);

    int updateByPrimaryKeySelective(BeanTypeDict record);

    int updateByPrimaryKey(BeanTypeDict record);

    void batchInsert(@Param("items") List<BeanTypeDict> items);
}